Package com.sun.java.help.impl

# Class Parser.ParserMulticaster

java.lang.Object
com.sun.java.help.impl.Parser.ParserMulticaster

All Implemented Interfaces:
  `ParserListener`, `EventListener`

Enclosing class:
  `Parser`

protected static class Parser.ParserMulticaster extends Object implements ParserListener

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final EventListener`
`a`
`protected final EventListener`
`b`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ParserMulticaster(EventListener newA, EventListener newB)`

## Method Summary

Modifier and Type
Method
Description
`static ParserListener`
`add(ParserListener a, ParserListener b)`
`protected static EventListener`
`addInternal(EventListener a, EventListener b)`
`void`
`commentFound(ParserEvent e)`
This tells the listener that a comment was parsed
`void`
`doctypeFound(ParserEvent e)`
This tells the listener that a DOCTYPE was parsed
`void`
`errorFound(ParserEvent e)`
This tells the listener that a error was parsed
`void`
`piFound(ParserEvent e)`
This tells the listener that a PI was parsed
`static ParserListener`
`remove(ParserListener l, ParserListener oldl)`
`protected EventListener`
`remove(EventListener oldl)`
`protected static EventListener`
`removeInternal(EventListener l, EventListener oldl)`
`void`
`tagFound(ParserEvent e)`
This tells the listener that a Tag was parsed
`void`
`textFound(ParserEvent e)`
This tells the listener that a continous block of text was parsed

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### a

protected final EventListener a

### b

protected final EventListener b

## Constructor Details

### ParserMulticaster

protected ParserMulticaster(EventListener newA, EventListener newB)

## Method Details

### remove

protected EventListener remove(EventListener oldl)

### addInternal

protected static EventListener addInternal(EventListener a, EventListener b)

### removeInternal

protected static EventListener removeInternal(EventListener l, EventListener oldl)

### tagFound

public void tagFound(ParserEvent e)
Description copied from interface: `ParserListener`
This tells the listener that a Tag was parsed

Specified by:
  `tagFound` in interface `ParserListener`
Parameters:
  `e` - The event

### piFound

public void piFound(ParserEvent e)
Description copied from interface: `ParserListener`
This tells the listener that a PI was parsed

Specified by:
  `piFound` in interface `ParserListener`
Parameters:
  `e` - The event

### doctypeFound

public void doctypeFound(ParserEvent e)
Description copied from interface: `ParserListener`
This tells the listener that a DOCTYPE was parsed

Specified by:
  `doctypeFound` in interface `ParserListener`
Parameters:
  `e` - The event

### textFound

public void textFound(ParserEvent e)
Description copied from interface: `ParserListener`
This tells the listener that a continous block of text was parsed

Specified by:
  `textFound` in interface `ParserListener`
Parameters:
  `e` - The event

### commentFound

public void commentFound(ParserEvent e)
Description copied from interface: `ParserListener`
This tells the listener that a comment was parsed

Specified by:
  `commentFound` in interface `ParserListener`
Parameters:
  `e` - The event

### errorFound

public void errorFound(ParserEvent e)
Description copied from interface: `ParserListener`
This tells the listener that a error was parsed

Specified by:
  `errorFound` in interface `ParserListener`
Parameters:
  `e` - The event

### add

public static ParserListener add(ParserListener a, ParserListener b)

### remove

public static ParserListener remove(ParserListener l, ParserListener oldl)